curl --request POST \
--url https://api.mottostreaming.com/cms/creative_works/v1 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project_id": "<string>",
"type_id": "<string>",
"title": "<string>",
"description": "<string>",
"release_time": "2023-11-07T05:31:56Z",
"thumbnail_asset_id": "<string>",
"poster_asset_id": "<string>",
"video_ids": [
"<string>"
],
"fields": {},
"localized_title": {},
"localized_description": {},
"localized_thumbnail_asset_id": {},
"localized_poster_asset_id": {},
"banner_asset_id": {
"banner_asset_id": {}
},
"localized_banner_asset_id": {}
}
'import requests
url = "https://api.mottostreaming.com/cms/creative_works/v1"
payload = {
"project_id": "<string>",
"type_id": "<string>",
"title": "<string>",
"description": "<string>",
"release_time": "2023-11-07T05:31:56Z",
"thumbnail_asset_id": "<string>",
"poster_asset_id": "<string>",
"video_ids": ["<string>"],
"fields": {},
"localized_title": {},
"localized_description": {},
"localized_thumbnail_asset_id": {},
"localized_poster_asset_id": {},
"banner_asset_id": { "banner_asset_id": {} },
"localized_banner_asset_id": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
project_id: '<string>',
type_id: '<string>',
title: '<string>',
description: '<string>',
release_time: '2023-11-07T05:31:56Z',
thumbnail_asset_id: '<string>',
poster_asset_id: '<string>',
video_ids: ['<string>'],
fields: {},
localized_title: {},
localized_description: {},
localized_thumbnail_asset_id: {},
localized_poster_asset_id: {},
banner_asset_id: {banner_asset_id: {}},
localized_banner_asset_id: {}
})
};
fetch('https://api.mottostreaming.com/cms/creative_works/v1', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.mottostreaming.com/cms/creative_works/v1",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'project_id' => '<string>',
'type_id' => '<string>',
'title' => '<string>',
'description' => '<string>',
'release_time' => '2023-11-07T05:31:56Z',
'thumbnail_asset_id' => '<string>',
'poster_asset_id' => '<string>',
'video_ids' => [
'<string>'
],
'fields' => [
],
'localized_title' => [
],
'localized_description' => [
],
'localized_thumbnail_asset_id' => [
],
'localized_poster_asset_id' => [
],
'banner_asset_id' => [
'banner_asset_id' => [
]
],
'localized_banner_asset_id' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.mottostreaming.com/cms/creative_works/v1"
payload := strings.NewReader("{\n \"project_id\": \"<string>\",\n \"type_id\": \"<string>\",\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"release_time\": \"2023-11-07T05:31:56Z\",\n \"thumbnail_asset_id\": \"<string>\",\n \"poster_asset_id\": \"<string>\",\n \"video_ids\": [\n \"<string>\"\n ],\n \"fields\": {},\n \"localized_title\": {},\n \"localized_description\": {},\n \"localized_thumbnail_asset_id\": {},\n \"localized_poster_asset_id\": {},\n \"banner_asset_id\": {\n \"banner_asset_id\": {}\n },\n \"localized_banner_asset_id\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.mottostreaming.com/cms/creative_works/v1")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"project_id\": \"<string>\",\n \"type_id\": \"<string>\",\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"release_time\": \"2023-11-07T05:31:56Z\",\n \"thumbnail_asset_id\": \"<string>\",\n \"poster_asset_id\": \"<string>\",\n \"video_ids\": [\n \"<string>\"\n ],\n \"fields\": {},\n \"localized_title\": {},\n \"localized_description\": {},\n \"localized_thumbnail_asset_id\": {},\n \"localized_poster_asset_id\": {},\n \"banner_asset_id\": {\n \"banner_asset_id\": {}\n },\n \"localized_banner_asset_id\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.mottostreaming.com/cms/creative_works/v1")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"project_id\": \"<string>\",\n \"type_id\": \"<string>\",\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"release_time\": \"2023-11-07T05:31:56Z\",\n \"thumbnail_asset_id\": \"<string>\",\n \"poster_asset_id\": \"<string>\",\n \"video_ids\": [\n \"<string>\"\n ],\n \"fields\": {},\n \"localized_title\": {},\n \"localized_description\": {},\n \"localized_thumbnail_asset_id\": {},\n \"localized_poster_asset_id\": {},\n \"banner_asset_id\": {\n \"banner_asset_id\": {}\n },\n \"localized_banner_asset_id\": {}\n}"
response = http.request(request)
puts response.read_body{
"creative_work": {
"project_id": "<string>",
"id": "<string>",
"type_id": "<string>",
"title": "<string>",
"description": "<string>",
"status": "CREATIVE_WORK_STATUS_UNSPECIFIED",
"release_time": "2023-11-07T05:31:56Z",
"thumbnail_asset_id": "<string>",
"poster_asset_id": "<string>",
"video_ids": [
"<string>"
],
"fields": {},
"visibility": "VISIBILITY_UNSPECIFIED",
"create_time": "2023-11-07T05:31:56Z",
"localized_title": {},
"localized_description": {},
"localized_thumbnail_asset_id": {},
"localized_poster_asset_id": {},
"banner_asset_id": {
"banner_asset_id": {}
},
"localized_banner_asset_id": {}
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Create creative work
CreateCreativeWork
Creates new creative work.
curl --request POST \
--url https://api.mottostreaming.com/cms/creative_works/v1 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project_id": "<string>",
"type_id": "<string>",
"title": "<string>",
"description": "<string>",
"release_time": "2023-11-07T05:31:56Z",
"thumbnail_asset_id": "<string>",
"poster_asset_id": "<string>",
"video_ids": [
"<string>"
],
"fields": {},
"localized_title": {},
"localized_description": {},
"localized_thumbnail_asset_id": {},
"localized_poster_asset_id": {},
"banner_asset_id": {
"banner_asset_id": {}
},
"localized_banner_asset_id": {}
}
'import requests
url = "https://api.mottostreaming.com/cms/creative_works/v1"
payload = {
"project_id": "<string>",
"type_id": "<string>",
"title": "<string>",
"description": "<string>",
"release_time": "2023-11-07T05:31:56Z",
"thumbnail_asset_id": "<string>",
"poster_asset_id": "<string>",
"video_ids": ["<string>"],
"fields": {},
"localized_title": {},
"localized_description": {},
"localized_thumbnail_asset_id": {},
"localized_poster_asset_id": {},
"banner_asset_id": { "banner_asset_id": {} },
"localized_banner_asset_id": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
project_id: '<string>',
type_id: '<string>',
title: '<string>',
description: '<string>',
release_time: '2023-11-07T05:31:56Z',
thumbnail_asset_id: '<string>',
poster_asset_id: '<string>',
video_ids: ['<string>'],
fields: {},
localized_title: {},
localized_description: {},
localized_thumbnail_asset_id: {},
localized_poster_asset_id: {},
banner_asset_id: {banner_asset_id: {}},
localized_banner_asset_id: {}
})
};
fetch('https://api.mottostreaming.com/cms/creative_works/v1', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.mottostreaming.com/cms/creative_works/v1",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'project_id' => '<string>',
'type_id' => '<string>',
'title' => '<string>',
'description' => '<string>',
'release_time' => '2023-11-07T05:31:56Z',
'thumbnail_asset_id' => '<string>',
'poster_asset_id' => '<string>',
'video_ids' => [
'<string>'
],
'fields' => [
],
'localized_title' => [
],
'localized_description' => [
],
'localized_thumbnail_asset_id' => [
],
'localized_poster_asset_id' => [
],
'banner_asset_id' => [
'banner_asset_id' => [
]
],
'localized_banner_asset_id' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.mottostreaming.com/cms/creative_works/v1"
payload := strings.NewReader("{\n \"project_id\": \"<string>\",\n \"type_id\": \"<string>\",\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"release_time\": \"2023-11-07T05:31:56Z\",\n \"thumbnail_asset_id\": \"<string>\",\n \"poster_asset_id\": \"<string>\",\n \"video_ids\": [\n \"<string>\"\n ],\n \"fields\": {},\n \"localized_title\": {},\n \"localized_description\": {},\n \"localized_thumbnail_asset_id\": {},\n \"localized_poster_asset_id\": {},\n \"banner_asset_id\": {\n \"banner_asset_id\": {}\n },\n \"localized_banner_asset_id\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.mottostreaming.com/cms/creative_works/v1")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"project_id\": \"<string>\",\n \"type_id\": \"<string>\",\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"release_time\": \"2023-11-07T05:31:56Z\",\n \"thumbnail_asset_id\": \"<string>\",\n \"poster_asset_id\": \"<string>\",\n \"video_ids\": [\n \"<string>\"\n ],\n \"fields\": {},\n \"localized_title\": {},\n \"localized_description\": {},\n \"localized_thumbnail_asset_id\": {},\n \"localized_poster_asset_id\": {},\n \"banner_asset_id\": {\n \"banner_asset_id\": {}\n },\n \"localized_banner_asset_id\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.mottostreaming.com/cms/creative_works/v1")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"project_id\": \"<string>\",\n \"type_id\": \"<string>\",\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"release_time\": \"2023-11-07T05:31:56Z\",\n \"thumbnail_asset_id\": \"<string>\",\n \"poster_asset_id\": \"<string>\",\n \"video_ids\": [\n \"<string>\"\n ],\n \"fields\": {},\n \"localized_title\": {},\n \"localized_description\": {},\n \"localized_thumbnail_asset_id\": {},\n \"localized_poster_asset_id\": {},\n \"banner_asset_id\": {\n \"banner_asset_id\": {}\n },\n \"localized_banner_asset_id\": {}\n}"
response = http.request(request)
puts response.read_body{
"creative_work": {
"project_id": "<string>",
"id": "<string>",
"type_id": "<string>",
"title": "<string>",
"description": "<string>",
"status": "CREATIVE_WORK_STATUS_UNSPECIFIED",
"release_time": "2023-11-07T05:31:56Z",
"thumbnail_asset_id": "<string>",
"poster_asset_id": "<string>",
"video_ids": [
"<string>"
],
"fields": {},
"visibility": "VISIBILITY_UNSPECIFIED",
"create_time": "2023-11-07T05:31:56Z",
"localized_title": {},
"localized_description": {},
"localized_thumbnail_asset_id": {},
"localized_poster_asset_id": {},
"banner_asset_id": {
"banner_asset_id": {}
},
"localized_banner_asset_id": {}
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
A creative work describes any kind of creative video content that does not have a start/end time (unlike an event).
The type id of the creative work. For example documentary. May be set to default when no custom fields are present.
Current status of the creative work
CREATIVE_WORK_STATUS_UNSPECIFIED, CREATIVE_WORK_STATUS_SCHEDULED, CREATIVE_WORK_STATUS_RELEASED The time at which this creative work was/will be released. This does not affect the visibility of the associated video(s), but can be displayed in the UI
VISIBILITY_UNSPECIFIED, VISIBILITY_PUBLISHED, VISIBILITY_UNLISTED, VISIBILITY_HIDDEN A map of localized titles for this creative work, for end users to see. The key is the language code (ISO 639 - set 1), e.g. "en", "de", "fr", etc. If you want to localize the text for different regions of the same language, you can add the country code (ISO 3166-1 alpha-2), e.g. "en-US", "en-GB", etc.
Leaving this field empty will default to the title field.
Show child attributes
Show child attributes
A map of localized descriptions for this creative work. The key is the language code (ISO 639 - set 1), e.g. "en", "de", "fr", etc. If you want to localize the text for different regions of the same language, you can add the country code (ISO 3166-1 alpha-2), e.g. "en-US", "en-GB", etc.
Leaving this field empty will default to the description field.
Show child attributes
Show child attributes
A map of localized thumbnail asset IDs for this creative work. The key is the language code (ISO 639 - set 1), e.g. "en", "de", "fr", etc. If you want to localize the text for different regions of the same language, you can add the country code (ISO 3166-1 alpha-2), e.g. "en-US", "en-GB", etc.
Leaving this field empty will default to the thumbnail_asset_id field.
Show child attributes
Show child attributes
A map of localized poster asset IDs for this creative work. The key is the language code (ISO 639 - set 1), e.g. "en", "de", "fr", etc. If you want to localize the text for different regions of the same language, you can add the country code (ISO 3166-1 alpha-2), e.g. "en-US", "en-GB", etc.
Leaving this field empty will default to the poster_asset_id field.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
A map of localized banner asset IDs for this creative work. The key is the language code (ISO 639 - set 1), e.g. "en", "de", "fr", etc. If you want to localize the text for different regions of the same language, you can add the country code (ISO 3166-1 alpha-2), e.g. "en-US", "en-GB", etc.
Leaving this field empty will default to the banner_asset_id field.
Show child attributes
Show child attributes
Response
OK
A creative work describes any kind of creative video content that does not have a start/end time (unlike an event).
Show child attributes
Show child attributes

